#include "atten.h"

void atten_set(int atten)
{
    int buf_lsb_first, buf_msb_first = 0;
    LATGbits.LATG3 = 1;
    LATGbits.LATG3 = 0;
    buf_lsb_first = 0xff & (63 - atten * 2);    //calculate value to upload to F1951 attenuator based on value in dB
    
    buf_msb_first |= (buf_lsb_first << 5) & 0x20;   //bit order must be swapped before sending via SPI
    buf_msb_first |= (buf_lsb_first << 3) & 0x10;
    buf_msb_first |= (buf_lsb_first << 1) & 0x8;
    buf_msb_first |= (buf_lsb_first >> 1) & 0x4;
    buf_msb_first |= (buf_lsb_first >> 3) & 0x2;
    buf_msb_first |= (buf_lsb_first >> 5) & 0x1;

    SPI2BUF = buf_msb_first;
    while(SPI2STATbits.SPIBUSY);
    LATGbits.LATG3 = 1;
}
