#take fonts drawing in form of csv file prepared in spreadsheet (1 - pixel on, 0 - pixel off)
#change into arrays to be placed in code for microcontroller (format: one 16bit word is one column of one character, 8-element array is full character)

clear all;
font_raw = csvread("font.csv");
[sy, sx] = size(font_raw);
myfile=fopen("file_font","w");

for i_x = [1: 1: sx]
  if(mod(i_x, 9) != 0)  #skip empty columns between characters

    if(mod(i_x, 9) == 1)
      fprintf(myfile,"{");
    else
      fprintf(myfile," ");
    endif;
    
    fprintf(myfile,"0b");
    for i_y = [1: 1: sy]
      fprintf(myfile,"%d",font_raw(i_y, i_x));
    endfor;
    
    if(mod(i_x, 9) == 8)
      fprintf(myfile,"}");
    endif;
    fprintf(myfile,",\n");
  endif;
endfor;

fclose(myfile);