#include <xc.h>
#include <math.h>
#include "global.h"
#include "graph.h"
#include "dsp.h"
#include "flash.h"

#define MENU_MAIN 0
#define MENU_AMPL 1
#define MENU_FREQ 2
#define MENU_CONF 3
#define MENU_CAL_G 4
#define MENU_ENTER_NUM 20

#define STR_BUF_LEN 50

#define ENTER_ATTEN 0
#define ENTER_LVL 1
#define ENTER_SCALE 2
#define ENTER_START 3
#define ENTER_STOP 4
#define ENTER_RBW 5
#define ENTER_CENTER 6
#define ENTER_SPAN 7
#define ENTER_F_CAL 8

#define K_CONTEXT0 7
#define K_CONTEXT1 6
#define K_CONTEXT2 5
#define K_CONTEXT3 4
#define K_CONTEXT4 3
#define K_CONTEXT5 2
#define K_LEFT 1
#define K_RIGHT 0
#define K_NUM0 16
#define K_NUM1 17
#define K_NUM2 21
#define K_NUM3 9
#define K_NUM4 18
#define K_NUM5 22
#define K_NUM6 10
#define K_NUM7 19
#define K_NUM8 23
#define K_NUM9 11
#define K_DOT 20
#define K_MINUS 8
#define K_CLR 14
#define K_ESC 15
#define K_ENTER 12
#define BUT_POS_CLR -1
#define BUT_POS_0 0
#define BUT_POS_1 1
#define BUT_POS_2 2
#define BUT_POS_3 3
#define BUT_POS_4 4
#define BUT_POS_5 5
#define BUTT_PITCH 63
#define BUTT_START 380

#define COLOR_YELLOW1 0x090
#define COLOR_BLACK 0x000
#define COLOR_RED1 0x1C0


int key_check(void);

void draw_main_menu();
void draw_ampl_menu();
void draw_freq_menu();
void draw_conf_menu();
void draw_cal_gain_menu();
void draw_units(int sel_num_enter);
void change_rbw();
void button_draw_clr(int button_position, int button_color_code, int bg_color_code, int text_color_code, char *button_text);
void redraw_info(void);
